# Dice Selection Plugin

This unofficial TaleSpire plugin that allows you to open a generic or character specific menu with different roll combos
(different dice with different modifiers). Clicking any of the options in the menu will prepare the related dice in the
dice tray and display the result with the combo name and add/subtract any modifier.

## Change Log

1.1.0: Adds support for multiple columns when there are lots of roll macros
1.0.2: Support for the ? formula which prompts the user for a roll formula
1.0.0: Initial release

## Install

Use R2ModMan or similar installer to install this plugin.

## Usage

Press the keyboard shortcut (default LCTRL+D) to open the dice roll menu. If no character is selected or the selected
character does not have a corresponding DSM dice selection file, the default roll macros will be displayed. If the
selected character has a corresponding DSM dice selection file (based on character name) then those roll macros will be
used instead.

Clicking any of the menu selection will load those dice into the dice tray and when the dice are rolled the name of the
dice macro is displayed as well as any modifier is applied. Dice cleanup is manual.